1.0

1.0

get /v1/service-accounts

Description

List service accounts

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020260223

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
Service Account Name
Example :
any of [string, null]None
queryservice
optional
Service Account’s Service
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKServiceAccountListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/service-accounts

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam 1.0"

Example HTTP response

Response 200

{
    "service_accounts": [
        {
            "id": "",
            "name": "",
            "service": ""
        }
    ]
}